<!--
Thank you for opening an issue!
Before posting, please check that your issue hasn’t already been discussed (https://github.com/salesforce-ux/design-system/search).

Note: GitHub issues are for Design System bugs and enhancements.
If you’re looking for help or support with SLDS, someone from the team will
triage your request and direct you to the appropriate avenue for your question.

Please answer the following questions in our issue template to the best of your
ability. We reserve the right to close issues that do not follow our template.
-->

> (REQUIRED) Include one or more screenshots if applicable, as well as a Codepen with the
reduced test case.

<!-- You can drag and drop images directly onto this text field to upload images -->

> Describe the issue. Is it a bug or a feature request (new component, new icon, new CSS class)?

<!-- e.g. "A bug where..." -->

> Is this issue related to a specific component, variant, and/or state? If so, please detail which.

<!-- e.g. Page Header > Voice > Cancelled -->

> Are any specific browsers impacted by this bug?

<!-- e.g. Chrome 56 on macOS 11.2 -->

> Which version of the Salesforce Lightning Design System are you using?

<!--
  e.g. 2.2.2

  If you're not sure, be specific about the environment:
  e.g. The bug happens in Visualforce when importing SLDS via `<apex:slds />` in a Spring ’17 org.
-->

> What steps and/or code are needed to reproduce this issue?

<!--
e.g.

```html
<button class="slds-button">Button</button>
```
-->

> What did you expect to happen?

<!-- e.g. "Long text wraps on multiple lines" -->

> What actually happened?

<!-- e.g. "Long text gets truncated and is unreadable" -->
